BSON_VERSION(3)

NAME
bson_version - Libbson Versioning

Versioning Macros and Functions

MACROS

The following preprocessor macros can be used to perform various checks based on the version of the library you are compiling against. This may be useful if you only want to enable a feature on a certain version of the library.

SYNOPSIS

#define BSON_CHECK_VERSION(major, minor, micro)
#define BSON_MAJOR_VERSION (1)
#define BSON_MINOR_VERSION (4)
#define BSON_MICRO_VERSION (1)
#define BSON_VERSION_S "1.4.1"
#define BSON_VERSION_HEX                                  \
   (BSON_MAJOR_VERSION << 24 | BSON_MINOR_VERSION << 16 | \
    BSON_MICRO_VERSION << 8)

Only compile a block on Libbson 1.1.0 and newer.

#if BSON_CHECK_VERSION(1, 1, 0)
static void
do_something (void)
{
}
#endif

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc